import { Widget } from '@webprovisions/platform';
/**
 * When implemented by default embed script a TriggerLinkMonitor service is available on the
 * container. It keeps track of all triggerElements for a particular widget and dispatches
 * events if the array is modified. This utility uses that array to attach event listeners to
 * handle widget activation.
 * @param {object} instance The widget type instance.
 * @param {string} eventType The event type for which the activation should be done.
 */
export default function supportTriggerLinks(instance: Widget, eventType?: string): void;
